package intrinsic.flash.accessibility;

public class AccessibilityImplementation extends Object {

	/** Accessors */

	/** Variables */
	public int errno;
	public boolean stub;

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public AccessibilityImplementation() {
}


/** Static Methods */

/** Methods */
public native int get_accState(int arg0);
public native boolean isLabeledBy(intrinsic.flash.geom.Rectangle arg0);
public native int get_accRole(int arg0);
public native String get_accDefaultAction(int arg0);
public native intrinsic.Array getChildIDArray();
public native void accSelect(int arg0, int arg1);
public native String get_accValue(int arg0);
public native int get_accFocus();
public native intrinsic.Array get_accSelection();
public native String get_accName(int arg0);
public native Object accLocation(int arg0);
public native void accDoDefaultAction(int arg0);

}
